:: filename: LaunchImportCCF_071_US.bat
:: file schema version: 01.03.0000.0000
:: date last modified (Y-M-D) 2021-08-24
:: CCF Rate version 071
@ECHO OFF

REM *** IMPORTANT****For each new set of rates, change the version number "CCFVER" below to match the CCF version

SETLOCAL EnableDelayedExpansion

REM Declare the 5 parameters that will be passed to the CCF import application
REM 1) Import Type - Simple or Accutrac as 0 and 1 respectively. Note that Accutrac rates are obsolete
REM 2) Path as string where CCF file has been downloaded
REM 3) Extension of CCF File as string e.g. CCFVER=061
REM 4) Postal system identifier - IDPostalSystem is 1 by default.
REM 5) Country identifier - IDCOUNTRY options are US=50, Canada=51

REM *** Note: the value of CCFVER must match the CCF version ***
SET IMPORTTYPE=0
SET CCFPATH="%~dp0"
SET CCFVER=071
SET IDPOSTALSYSTEM=1
SET IDCOUNTRY=50

SET IS64BIT=FALSE

IF "%PROCESSOR_ARCHITECTURE%" == "AMD64" SET IS64BIT=TRUE

IF "%PROCESSOR_ARCHITEW6432%" == "AMD64" SET IS64BIT=TRUE

FOR /F "tokens=2* delims=	 " %%A IN ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Pitney Bowes\Business Manager\AppPath" /v Path 2^>nul') DO SET APPLICATIONPATHWOW6432=%%B

FOR /F "tokens=2* delims=	 " %%A IN ('REG QUERY "HKLM\Software\Pitney Bowes\Business Manager\AppPath" /v Path 2^>nul') DO SET APPLICATIONPATH=%%B

IF "%IS64BIT%" == "TRUE" (

START "" /B /WAIT "%APPLICATIONPATHWOW6432%Plugins\MNDSDDCCF\MNDSDDCCFService.exe" %IMPORTTYPE% "%~dp0\" %CCFVER% %IDPOSTALSYSTEM% %IDCOUNTRY%

) ELSE (  

START "" /B /WAIT "%APPLICATIONPATH%Plugins\MNDSDDCCF\MNDSDDCCFService.exe" %IMPORTTYPE% "%~dp0\" %CCFVER% %IDPOSTALSYSTEM% %IDCOUNTRY%

)	

ENDLOCAL
